include ( ../../mythconfig.mak )
include ( ../../settings.pro )
include ( ../../programs-libs.pro )

TEMPLATE = lib
CONFIG += plugin thread warn_on debug
TARGET = mythtube
target.path = $${LIBDIR}/mythtv/plugins
INSTALLS += target

INCLUDEPATH += $${PREFIX}/include/mythtv

installscripts.path = $${PREFIX}/share/mythtv/mythtube/scripts
installscripts.files = scripts/*

INSTALLS += installscripts

# Input
HEADERS += tubevideo.h channel.h mythtubescreen.h channelscreen.h searchscreen.h feedchannel.h channelbrowser.h tubedbutil.h channeleditor.h dbcheck.h
SOURCES += main.cpp tubevideo.cpp channel.cpp mythtubescreen.cpp channelscreen.cpp searchscreen.cpp feedchannel.cpp channelbrowser.cpp tubedbutil.cpp channeleditor.cpp dbcheck.cpp

#The following line was inserted by qt3to4
QT += network opengl sql xml qt3support

include ( ../../libs-targetfix.pro )