/* ============================================================
 * File  : tubedbutil.h
 * Author: Alvaro Gonzalez Sola <cojonuo@gmail.com>
 * Date  : 2008-08-18
 * Description :
 *
 * Utils to DB
 *
 * Copyright 2008 by Alvaro Gonzalez Sola
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published bythe Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#ifndef TUBEDBUTIL_H
#define TUBEDBUTIL_H

#include "channel.h"
#include "channelbrowser.h"
#include <q3ptrlist.h>


ChannelBrowser::ChannelList loadChannels();
bool findInDB(const QString& name);
bool insertInDB(QString name, QString url, Channel::Type type);
bool insertInDB(Channel * channel);
bool removeFromDB(Channel * channel);
bool removeFromDB(const QString &name);


#endif
